<html>
<head>
<title>Ogre::BillboardSet::SortByDistanceFunctor Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1BillboardSet.html">BillboardSet</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1BillboardSet_1_1SortByDistanceFunctor.html">SortByDistanceFunctor</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::BillboardSet::SortByDistanceFunctor Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::BillboardSet::SortByDistanceFunctor" -->
<p>Sort by distance functor.  
 <a href="structOgre_1_1BillboardSet_1_1SortByDistanceFunctor.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreBillboardSet_8h_source.html">OgreBillboardSet.h</a>&gt;</code></p>

<p><a href="structOgre_1_1BillboardSet_1_1SortByDistanceFunctor-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1BillboardSet_1_1SortByDistanceFunctor.html#ae725032ae8681c80ad658220dee4ba71">SortByDistanceFunctor</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;pos)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1BillboardSet_1_1SortByDistanceFunctor.html#a2842606f615b2f21854d903bc10557bd">operator()</a> (<a class="el" href="classOgre_1_1Billboard.html">Billboard</a> *bill) const </td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1BillboardSet_1_1SortByDistanceFunctor.html#aa9b57d6caf0889fa7ec77065bbd79269">sortPos</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Position to sort in.  <a href="#aa9b57d6caf0889fa7ec77065bbd79269"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Sort by distance functor. </p>

<p>Definition at line <a class="el" href="OgreBillboardSet_8h_source.html#l00276">276</a> of file <a class="el" href="OgreBillboardSet_8h_source.html">OgreBillboardSet.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ae725032ae8681c80ad658220dee4ba71"></a><!-- doxytag: member="Ogre::BillboardSet::SortByDistanceFunctor::SortByDistanceFunctor" ref="ae725032ae8681c80ad658220dee4ba71" args="(const Vector3 &amp;pos)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1BillboardSet_1_1SortByDistanceFunctor.html#ae725032ae8681c80ad658220dee4ba71">Ogre::BillboardSet::SortByDistanceFunctor::SortByDistanceFunctor</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>pos</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a2842606f615b2f21854d903bc10557bd"></a><!-- doxytag: member="Ogre::BillboardSet::SortByDistanceFunctor::operator()" ref="a2842606f615b2f21854d903bc10557bd" args="(Billboard *bill) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float Ogre::BillboardSet::SortByDistanceFunctor::operator() </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Billboard.html">Billboard</a> *&#160;</td>
          <td class="paramname"><em>bill</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="aa9b57d6caf0889fa7ec77065bbd79269"></a><!-- doxytag: member="Ogre::BillboardSet::SortByDistanceFunctor::sortPos" ref="aa9b57d6caf0889fa7ec77065bbd79269" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="structOgre_1_1BillboardSet_1_1SortByDistanceFunctor.html#aa9b57d6caf0889fa7ec77065bbd79269">Ogre::BillboardSet::SortByDistanceFunctor::sortPos</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Position to sort in. </p>

<p>Definition at line <a class="el" href="OgreBillboardSet_8h_source.html#l00279">279</a> of file <a class="el" href="OgreBillboardSet_8h_source.html">OgreBillboardSet.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreBillboardSet_8h_source.html">OgreBillboardSet.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:54
</p>
</body>
</html>
